#!/usr/local/bin/perl -w

use strict;
use IO::File;
my $addressbook = "addressbook";
my $book = new IO::File $addressbook or
   die "Cannot open $addressbook\n";
my %address = ();
while(<$book>) {
   chomp;
   my ($name, $address) = split /:/;
   $address{$name} = $address;
}
$book->close;

while (defined(my $name = <STDIN>)) {
   chomp($name);
   if (exists $address{$name}) {
      print $address{$name}, "\n";
   } else {
      print "Unbekannt!\n";
   }
}
