#!/usr/local/bin/perl -w

use strict;
use IO::File;
my %passwd_by_uid = (); my %passwd_by_login = ();
my $passwd = "</etc/passwd";
my $pwd = new IO::File $passwd or
   die "Unable to read from $passwd\n";
while(<$pwd>) {
   chomp;
   my ($login, $passwd, $uid, $gid,
      $name, $home, $shell) = split /:/;
   $passwd_by_uid{$uid} =
   $passwd_by_login{$login} = {
      login => $login, passwd => $passwd,
      uid => $uid, gid => $gid,
      name => $name, home => $home, shell => $shell
   };
}
$pwd->close;

my $x = (getpwent_by_login("swg"))->{name};
my $y = (getpwent_by_uid(500))->{login};

print "$x : $y \n";

sub getpwent_by_uid { return $passwd_by_uid{$_[0]}; }
sub getpwent_by_login { return $passwd_by_login{$_[0]}; }
